| Kea 3.0.2-git

master_lexer.h File Reference
`#include <dns/exceptions.h>`
`#include <istream>`
`#include <string>`
`#include <stdint.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for master_lexer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dns::MasterLexer::LexerError
| Exception thrown from a wrapper version of `MasterLexer::getNextToken()` for non fatal errors. More...
class | isc::dns::MasterLexer
| Tokenizer for parsing DNS master files. More...
class | isc::dns::MasterToken
| Tokens for `MasterLexer`. More...
class | isc::dns::MasterLexer::ReadError
| Exception thrown when we fail to read from the input stream or file. More...
struct | isc::dns::MasterToken::StringRegion
| A simple representation of a range of a string. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns
namespace | isc::dns::master_lexer_internal

## Functions
MasterLexer::Options | isc::dns::operator| (MasterLexer::Options o1, MasterLexer::Options o2)
| Operator to combine `MasterLexer` options.